Bug 829716 - [abrt] blueman-1.23-2.fc17: utils.py:28:warp:DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "GetProperties" with signature "" on interface "org.bluez.Adapter" doesn't exist
[abrt] blueman-1.23-2.fc17: utils.py:28:warp:DBusException: org.freedesktop.D...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:3f82746a267ae0cc444e2acd42f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 07:59 EDT by Bob Kromonos Achten
Modified: 2013-08-01 01:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:58:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Kromonos Achten 2012-06-07 07:59:16 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/blueman-manager
executable:     /usr/bin/blueman-manager
kernel:         3.4.0-1.fc17.x86_64
time:           Do 07 Jun 2012 13:58:26 CEST
uid:            1000
username:       kromonos

backtrace:
:utils.py:28:warp:DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "GetProperties" with signature "" on interface "org.bluez.Adapter" doesn't exist
:
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/blueman/gui/manager/ManagerMenu.py", line 231, in on_adapter_added
:    self.generate_adapter_menu()
:  File "/usr/lib/python2.7/site-packages/blueman/gui/manager/ManagerMenu.py", line 183, in generate_adapter_menu
:    props = adapter.GetProperties()
:  File "/usr/lib/python2.7/site-packages/blueman/bluez/utils.py", line 28, in warp
:    raise errors.parse_dbus_error(exception)
:DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "GetProperties" with signature "" on interface "org.bluez.Adapter" doesn't exist
:
:
:Local variables in innermost frame:
:exception: DBusException('Method "GetProperties" with signature "" on interface "org.bluez.Adapter" doesn\'t exist\n',)
:args: (<blueman.bluez.Adapter.Adapter object at 0x1828d10>,)
:func: <function GetProperties at 0x160bc80>
:kwargs: {}

smolt_data:
:
:
:Allgemein
:=================================
:UUID: 6d65707e-f39b-4d3b-970f-e0d60c401f41
:OS: Fedora release 17 (Beefy Miracle)
:Standard-Runlevel: Unknown
:Sprache: de_DE.utf8
:Plattform: x86_64
:BogoMIPS: 6000.21
:CPU-Anbieter: GenuineIntel
:CPU-Modell: Pentium(R) Dual-Core  CPU      E5700  @ 3.00GHz
:CPU-Stepping: 10
:CPU Familie: 6
:CPU-Modellnummer: 23
:Anzahl der CPUs: 2
:CPU-Geschwindigkeit: 3003
:Systemspeicher: 3515
:System-Swap: 5439
:Anbieter: To Be Filled By O.E.M.
:System: To Be Filled By O.E.M. To Be Filled By O.E.M.
:Form-Faktor: Desktop
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux aktiviert: 1
:SELinux-Richtlinie: targeted
:SELinux erzwingen: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Geräte
:=================================
:(4318:3592:0:0) pci, snd_hda_intel, MULTIMEDIA, HDMI Audio stub
:(32902:10168:6217:10168) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(32902:10202:6217:10202) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:10176:6217:10176) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10192:6217:10192) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:6217:10194) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(4332:33129:4997:12570) pci, r8169, ETHERNET, GA311
:(32902:10200:6217:13922) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10207:6217:10207) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(4318:4160:0:0) pci, nvidia, VIDEO, N/A
:(32902:9294:6217:9294) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10185:6217:10185) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:6217:10184) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10096:6217:10096) pci, None, HOST/PCI, 82945G/GZ/P/PL Memory Controller Hub
:(32902:10186:6217:10186) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:6217:10187) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:6217:10188) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:(32902:10097:6217:10097) pci, pcieport, PCI/PCI, 82945G/GZ/P/PL PCI Express Root Port
:
:
:Dateisysteminformationen
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_sol-lv_root / ext4 4096 4096 9392866 2833256 2739228 2351104 2109650 2109650
:/dev/sdc1 /boot ext4 1024 1024 508745 399556 373956 128016 127655 127655
:/dev/mapper/vg_sol-lv_home /home ext4 4096 4096 4686582 3730135 3495025 1177344 1126604 1126604
:/dev/sda5 WITHHELD ext4 4096 4096 3640294 2590107 2407477 913920 912252 912252
:
Comment 1 Fedora End Of Life 2013-07-03 21:29:55 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 01:58:45 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.